# Uses of Enum Class
org.apache.datasketches.frequencies.ErrorType

Packages that use ErrorType
Package
Description
org.apache.datasketches.frequencies
This package is dedicated to streaming algorithms that enable estimation of the frequency of occurrence of items in a weighted multiset stream of items.

## Uses of ErrorType in org.apache.datasketches.frequencies

Methods in org.apache.datasketches.frequencies that return ErrorType
Modifier and Type
Method
Description
`static ErrorType`
ErrorType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ErrorType[]`
ErrorType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.datasketches.frequencies with parameters of type ErrorType
Modifier and Type
Method
Description
`ItemsSketch.Row<T>[]`
ItemsSketch.`getFrequentItems(long threshold, ErrorType errorType)`
Returns an array of Rows that include frequent items, estimates, upper and lower bounds given a threshold and an ErrorCondition.
`ItemsSketch.Row<T>[]`
ItemsSketch.`getFrequentItems(ErrorType errorType)`
Returns an array of Rows that include frequent items, estimates, upper and lower bounds given an ErrorCondition and the default threshold.
`LongsSketch.Row[]`
LongsSketch.`getFrequentItems(long threshold, ErrorType errorType)`
Returns an array of Rows that include frequent items, estimates, upper and lower bounds given a threshold and an ErrorCondition.
`LongsSketch.Row[]`
LongsSketch.`getFrequentItems(ErrorType errorType)`
Returns an array of Rows that include frequent items, estimates, upper and lower bounds given an ErrorCondition and the default threshold.